# Generated by Django 4.0.4 on 2022-06-23 11:12

import django.core.serializers.json
from django.db import migrations, models
import django.db.models.deletion
import taggit.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('extras', '0073_journalentry_tags_custom_fields'),
    ]

    operations = [
        migrations.CreateModel(
            name='SecurityPolicy',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder)),
                ('comments', models.TextField(blank=True)),
                ('default_action', models.CharField(max_length=100)),
                ('from_zone', models.CharField(max_length=100)),
                ('name', models.CharField(max_length=100)),
                ('to_zone', models.CharField(max_length=100)),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='SecurityPolicyRule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder)),
                ('action', models.CharField(max_length=30)),
                ('address_source', models.CharField(max_length=30)),
                ('address_destination', models.CharField(max_length=30)),
                ('application', models.CharField(max_length=30)),
                ('dynamic_application', models.CharField(blank=True, max_length=30)),
                ('description', models.CharField(blank=True, max_length=500)),
                ('index', models.PositiveIntegerField()),
                ('name', models.CharField(max_length=100)),
                ('security_policy', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='rules', to='netbox_juniper_srx.securitypolicy')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('security_policy', 'index'),
                'unique_together': {('security_policy', 'index')},
            },
        ),
    ]
